import React from 'react'
import LoadingDots from './LoadingDots';

const withLoading = WrappedComponent => {
    return (props = {}) => {
        if (props.isLoading) {
            return <LoadingDots />
        }
        return <WrappedComponent {...props} />
    }
}

export default withLoading;
